import { render } from '@testing-library/react'
import React from 'react'
import EstimatedConsumptionModal from './EstimatedConsumptionModal'

const mockGetAllLastPrices = jest.fn()
jest.mock('services/fluidsPrices.service', () => {
  return jest.fn(() => ({
    getAllLastPrices: mockGetAllLastPrices,
  }))
})

describe('EstimatedConsumptionModal component', () => {
  it('should render correctly', () => {
    const { baseElement } = render(
      <EstimatedConsumptionModal open={true} handleCloseClick={jest.fn()} />
    )
    expect(baseElement).toMatchSnapshot()
  })
})
