import { render } from '@testing-library/react'
import { scaleLinear } from 'd3'
import React from 'react'
import { dataLoadArray } from 'tests/__mocks__/chartData.mock'
import { mockXScale } from 'tests/__mocks__/xScale.mock'
import UpcomingBar from './UpcomingBar'

describe('Upcoming component', () => {
  it('should match snapshot', () => {
    const { container } = render(
      <svg>
        <UpcomingBar
          index={0}
          average={10}
          dataload={dataLoadArray[0]}
          height={50}
          xScale={mockXScale}
          yScale={scaleLinear()}
        />
      </svg>
    )
    expect(container).toMatchSnapshot()
  })
})
